﻿using System;
using System.Collections.ObjectModel;
using GalaSoft.MvvmLight;
using C1.WPF.FlexReport;

namespace LBAdmin.ViewModel
{
    [Magic]
    public class LogViewerViewModel : ViewModelBase, LBControls.ViewModel.IPageViewModel
    {
        public C1FlexReport Report { get; set; }

        public string Name { get { return "LogViewerViewModel"; } }
        public bool IsDirty { get { return false; } set { } }
        public bool DisableNavigation { get; set; }

        public DateTime FromDate { get; set; }
        public DateTime EndDate { get; set; }
        public ObservableCollection<string> LogSource { get; set; }
        public string[] EventTypes { get; set; }

        public LogViewerViewModel()
        {
            C1FlexReport FlexReport = new C1FlexReport();
            string logSource = LBBus500.ctEventLog.ClientSource;
            FlexReport.Load("C:\\Projects\\ListBill\\V5\\Development\\Argon\\LBAdmin\\AdminReports\\LogViewer.flxr", "ctListBill Event Log");
            FromDate = new DateTime(2016, 01, 1, 00, 00, 00);
            EndDate = DateTime.Now;
            LogSource = new ObservableCollection<string>() { "ctListBill.System", "ctListBill.Client", "ctListbill.AdminToolkit", "ctListBill.DataTransfer", "ctListBill.ePay" };
            EventTypes = new string[] { "Information", "ResourceNotFound", "TaskStart", "TaskFinish", "SpecificationError", "OperatorCancel", "Error" };
            int[] _eventCodes = { 0, 1 };
            ReportParameter _parmFromDate = FlexReport.Parameters["FromDate"];
            ReportParameter _parmEndDate = FlexReport.Parameters["EndDate"];
            ReportParameter _parmLogSource = FlexReport.Parameters["LogSource"];
            ReportParameter _parmEventCode = FlexReport.Parameters["EventCodes"];
            ReportParameter _parmEventType = FlexReport.Parameters["EventTypes"];

            _parmFromDate.Value = FromDate;
            _parmEndDate.Value = EndDate;
            _parmLogSource.Value = LogSource;
            _parmEventCode.Value = _eventCodes;
            _parmEventType.Value = EventTypes;

            Report = FlexReport;
;        }

    }
}
